AuthSpokeAuthSpoke Developers
Enterprise AI Β· API Reference

AI Registry

Governed AI Asset registry APIs for imported and manually registered AI assets.

GET/api/v1/ai-assets

List v1 ai assets

List v1 ai assets for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Query parameters

pageZero-based page index where supported.
sizePage size where supported.
searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
POST/api/v1/ai-assets

Create or run v1 ai assets

Create or run v1 ai assets for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

201Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X POST "https://api.authspoke.com/api/v1/ai-assets" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}

Get ai assets id

Get ai assets id for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
PUT/api/v1/ai-assets/{id}

Replace ai assets id

Replace ai assets id for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X PUT "https://api.authspoke.com/api/v1/ai-assets/{id}" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
DELETE/api/v1/ai-assets/{id}

Delete ai assets id

Delete ai assets id for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Responses

204Deleted or completed with no response body.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X DELETE "https://api.authspoke.com/api/v1/ai-assets/{id}" \
  -H "Authorization: Bearer $TOKEN"
GET/api/v1/ai-assets/{id}/activity

List activity

List activity for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

pageZero-based page index where supported.
sizePage size where supported.
searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/activity" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/activity/{eventId}

Get activity event

Get activity event for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.
eventId*eventId identifier.

Query parameters

pageZero-based page index where supported.
sizePage size where supported.
searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/activity/{eventId}" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/governance-findings

Get id governance findings

Get id governance findings for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/governance-findings" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
PATCH/api/v1/ai-assets/{id}/governance-state

Update id governance state

Update id governance state for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X PATCH "https://api.authspoke.com/api/v1/ai-assets/{id}/governance-state" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/governance-state/history

List history

List history for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/governance-state/history" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
PATCH/api/v1/ai-assets/{id}/lifecycle

Update id lifecycle

Update id lifecycle for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X PATCH "https://api.authspoke.com/api/v1/ai-assets/{id}/lifecycle" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/lifecycle/history

List history

List history for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/lifecycle/history" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
PATCH/api/v1/ai-assets/{id}/metadata

Update id metadata

Update id metadata for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X PATCH "https://api.authspoke.com/api/v1/ai-assets/{id}/metadata" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/metadata/schema

Get metadata schema

Get metadata schema for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/metadata/schema" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
PATCH/api/v1/ai-assets/{id}/ownership

Update id ownership

Update id ownership for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X PATCH "https://api.authspoke.com/api/v1/ai-assets/{id}/ownership" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/{id}/relationships

Get id relationships

Get id relationships for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Query parameters

searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/{id}/relationships" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
POST/api/v1/ai-assets/{id}/relationships

Create or run id relationships

Create or run id relationships for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

201Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X POST "https://api.authspoke.com/api/v1/ai-assets/{id}/relationships" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
DELETE/api/v1/ai-assets/{id}/relationships/{relationshipId}

Delete relationships relationship id

Delete relationships relationship id for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Path parameters

id*id identifier.
relationshipId*relationshipId identifier.

Responses

204Deleted or completed with no response body.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X DELETE "https://api.authspoke.com/api/v1/ai-assets/{id}/relationships/{relationshipId}" \
  -H "Authorization: Bearer $TOKEN"
POST/api/v1/ai-assets/cleanup/preview

Get preview

Get preview for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

201Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X POST "https://api.authspoke.com/api/v1/ai-assets/cleanup/preview" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
POST/api/v1/ai-assets/cleanup/run

Create or run cleanup run

Create or run cleanup run for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Request body

namestringDisplay name or operation name where applicable.
statusstringStatus or lifecycle value where applicable.
reasonstringAudit reason for governed changes.
metadataobjectProvider or business metadata.
configurationobjectConnector, policy, or resource configuration.

Responses

201Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X POST "https://api.authspoke.com/api/v1/ai-assets/cleanup/run" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","metadata":{}}'

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/filters

List ai assets filters

List ai assets filters for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Query parameters

pageZero-based page index where supported.
sizePage size where supported.
searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/filters" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}
GET/api/v1/ai-assets/summary

Get summary

Get summary for governed AI assets, ownership, lifecycle, metadata, relationships, activity, and governance findings. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.

πŸ”’ Bearer JWT required

Query parameters

pageZero-based page index where supported.
sizePage size where supported.
searchSearch by asset name/provider metadata where supported.
assetTypeFilter by governed asset type.
providerFilter by source provider.
environmentFilter by environment.

Responses

200Successful response.
400Invalid request.
401Missing or invalid authentication.
403Forbidden by permission, SKU, or provider-admin policy.
404Resource not found or not in the caller's tenant.

Example request

cURL
curl -X GET "https://api.authspoke.com/api/v1/ai-assets/summary" \
  -H "Authorization: Bearer $TOKEN"

Example response

JSON
{
  "id": "uuid",
  "status": "OK"
}